<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_102) on Thu Mar 15 23:03:53 CET 2018 -->
<title>FigureHandle (JDraw API)</title>
<meta name="date" content="2018-03-15">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FigureHandle (JDraw API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../jdraw/framework/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FigureHandle.html">Use</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../jdraw/framework/FigureGroup.html" title="interface in jdraw.framework"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../jdraw/framework/FigureListener.html" title="interface in jdraw.framework"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?jdraw/framework/FigureHandle.html" target="_top">Frames</a></li>
<li><a href="FigureHandle.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">jdraw.framework</div>
<h2 title="Interface FigureHandle" class="title">Interface FigureHandle</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public interface <span class="typeNameLabel">FigureHandle</span></pre>
<div class="block">Handles are used to change a figure by direct manipulation. Handles know
 their owning figure and they provide methods to ask the handle's bounds and
 to track changes.</div>
<dl>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>2.5</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Dominik Gruntz &amp; Christoph Denzler</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../jdraw/framework/Figure.html" title="interface in jdraw.framework"><code>Figure</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/FigureHandle.html#contains-int-int-">contains</a></span>(int&nbsp;x,
        int&nbsp;y)</code>
<div class="block">Tests if a point is contained in the handle.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/FigureHandle.html#dragInteraction-int-int-java.awt.event.MouseEvent-jdraw.framework.DrawView-">dragInteraction</a></span>(int&nbsp;x,
               int&nbsp;y,
               java.awt.event.MouseEvent&nbsp;e,
               <a href="../../jdraw/framework/DrawView.html" title="interface in jdraw.framework">DrawView</a>&nbsp;v)</code>
<div class="block">Tracks a step of a started interaction.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/FigureHandle.html#draw-java.awt.Graphics-">draw</a></span>(java.awt.Graphics&nbsp;g)</code>
<div class="block">Draws this handle.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.awt.Cursor</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/FigureHandle.html#getCursor--">getCursor</a></span>()</code>
<div class="block">Returns a curser which should be displayed when the mouse is over the
 handle.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>java.awt.Point</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/FigureHandle.html#getLocation--">getLocation</a></span>()</code>
<div class="block">Returns the location of this handle.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/FigureHandle.html#getOwner--">getOwner</a></span>()</code>
<div class="block">Gets the handle's owner.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/FigureHandle.html#startInteraction-int-int-java.awt.event.MouseEvent-jdraw.framework.DrawView-">startInteraction</a></span>(int&nbsp;x,
                int&nbsp;y,
                java.awt.event.MouseEvent&nbsp;e,
                <a href="../../jdraw/framework/DrawView.html" title="interface in jdraw.framework">DrawView</a>&nbsp;v)</code>
<div class="block">Tracks the start of an interaction.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../jdraw/framework/FigureHandle.html#stopInteraction-int-int-java.awt.event.MouseEvent-jdraw.framework.DrawView-">stopInteraction</a></span>(int&nbsp;x,
               int&nbsp;y,
               java.awt.event.MouseEvent&nbsp;e,
               <a href="../../jdraw/framework/DrawView.html" title="interface in jdraw.framework">DrawView</a>&nbsp;v)</code>
<div class="block">Tracks the end of a running interaction.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getOwner--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOwner</h4>
<pre><a href="../../jdraw/framework/Figure.html" title="interface in jdraw.framework">Figure</a>&nbsp;getOwner()</pre>
<div class="block">Gets the handle's owner.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the figure which owns the handle</dd>
</dl>
</li>
</ul>
<a name="getLocation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLocation</h4>
<pre>java.awt.Point&nbsp;getLocation()</pre>
<div class="block">Returns the location of this handle. The result depends on the location
 of the owning figure.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>location of this handle</dd>
</dl>
</li>
</ul>
<a name="draw-java.awt.Graphics-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>draw</h4>
<pre>void&nbsp;draw(java.awt.Graphics&nbsp;g)</pre>
<div class="block">Draws this handle.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>g</code> - the graphics context to use for painting.</dd>
</dl>
</li>
</ul>
<a name="getCursor--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCursor</h4>
<pre>java.awt.Cursor&nbsp;getCursor()</pre>
<div class="block">Returns a curser which should be displayed when the mouse is over the
 handle. Signals the type of operation which can be performed using this
 handle.
 <P>
 A default implementation may return Cursor.getDefaultCursor().</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>handle's Cursor</dd>
</dl>
</li>
</ul>
<a name="contains-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>contains</h4>
<pre>boolean&nbsp;contains(int&nbsp;x,
                 int&nbsp;y)</pre>
<div class="block">Tests if a point is contained in the handle.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - x-coordinate of mouse position</dd>
<dd><code>y</code> - y-coordinate of mouse position</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><tt>true</tt>, if coordinates are contained in the figure,
         <tt>false</tt> otherwise</dd>
</dl>
</li>
</ul>
<a name="startInteraction-int-int-java.awt.event.MouseEvent-jdraw.framework.DrawView-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>startInteraction</h4>
<pre>void&nbsp;startInteraction(int&nbsp;x,
                      int&nbsp;y,
                      java.awt.event.MouseEvent&nbsp;e,
                      <a href="../../jdraw/framework/DrawView.html" title="interface in jdraw.framework">DrawView</a>&nbsp;v)</pre>
<div class="block">Tracks the start of an interaction. Usually, the position where an
 interaction starts is stored.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the x position where the interaction started</dd>
<dd><code>y</code> - the y position where the interaction started</dd>
<dd><code>e</code> - the mouse event which initiated the start interaction</dd>
<dd><code>v</code> - the view in which the interaction is performed</dd>
</dl>
</li>
</ul>
<a name="dragInteraction-int-int-java.awt.event.MouseEvent-jdraw.framework.DrawView-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dragInteraction</h4>
<pre>void&nbsp;dragInteraction(int&nbsp;x,
                     int&nbsp;y,
                     java.awt.event.MouseEvent&nbsp;e,
                     <a href="../../jdraw/framework/DrawView.html" title="interface in jdraw.framework">DrawView</a>&nbsp;v)</pre>
<div class="block">Tracks a step of a started interaction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the current x position</dd>
<dd><code>y</code> - the current y position</dd>
<dd><code>e</code> - the mouse event which initiated the drag interaction</dd>
<dd><code>v</code> - the view in which the interaction is performed</dd>
</dl>
</li>
</ul>
<a name="stopInteraction-int-int-java.awt.event.MouseEvent-jdraw.framework.DrawView-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>stopInteraction</h4>
<pre>void&nbsp;stopInteraction(int&nbsp;x,
                     int&nbsp;y,
                     java.awt.event.MouseEvent&nbsp;e,
                     <a href="../../jdraw/framework/DrawView.html" title="interface in jdraw.framework">DrawView</a>&nbsp;v)</pre>
<div class="block">Tracks the end of a running interaction.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - the current x position</dd>
<dd><code>y</code> - the current y position</dd>
<dd><code>e</code> - the mouse event which stoped the start interaction</dd>
<dd><code>v</code> - the view in which the interaction is performed</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../jdraw/framework/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FigureHandle.html">Use</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../jdraw/framework/FigureGroup.html" title="interface in jdraw.framework"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../jdraw/framework/FigureListener.html" title="interface in jdraw.framework"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?jdraw/framework/FigureHandle.html" target="_top">Frames</a></li>
<li><a href="FigureHandle.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2000-2017 D. Gruntz & Ch. Denzler, FHNW. All Rights Reserved.</i></small></p>
</body>
</html>
